<?xml version="1.0" encoding="ISO-8859-1"?>
<controls>
 <document id="DocServiceFait">
  <collectivite-path sort="2">
   <code-path>/FEN0072A/@added:collectivite</code-path>
   <libelle-path>/FEN0072A/@added:collectivite</libelle-path>
  </collectivite-path>
  <engine xmlns="">
   <add-on name="unique.id.generator">
    <param id="element.name" name="element.name" datatype="string" value="SERVICE_FAIT"/>
    <param id="generated.attribute" name="generated.attribute" datatype="string" value="ano:unique-id"/>
    <param id="processor" name="processor" datatype="string" value="fr.gouv.finances.cp.xemelios.controls.processors.IdGeneratorProcessor"/>
    <param id="event" name="event" datatype="string" value="start.element"/>
    <param id="generator" name="generator" datatype="string" value="fr.gouv.finances.cp.xemelios.controls.processors.impl.TstampIPUniqueId"/>
   </add-on>
   <add-on name="collectivite.generator">
    <param id="element.name" name="element.name" datatype="string" value="FEN0072A"/>
    <param id="processor" name="processor" datatype="string" value="fr.gouv.finances.dgfip.xemelios.servicefait.CollectiviteGenerator"/>
    <param id="event" name="event" datatype="string" value="start.element"/>
   </add-on>
  </engine>
  <controlTech id="TECH02" libelle="Contrôle de l'encoding du fichier." severity="BLOQUANT">
   <paramTech id="encoding1" name="encoding" value="ISO-8859-15"/>
   <paramTech id="failOnError" name="failOnError" value="false"/>
  </controlTech>
  <controlTech id="TECH03" libelle="Contrôle de la conformance au schéma." severity="NON BLOQUANT">
   <paramTech id="schemaLocation" name="schemaLocation" value="service-fait/schema/AX-FEN0072A-v1.0.xsd"/>
   <paramTech id="failOnError" name="failOnError" value="false"/>
   <ignore-regexp>.*txt2xml[:]LineTxt.*</ignore-regexp>
   <ignore-regexp>.*txt2xml[:]TxtValue.*</ignore-regexp>
  </controlTech>
  <control id="CTL-M108" libelle="Contrôle sur les codes mouvement autorisés" severity="BLOQUANT" class="fr.gouv.finances.dgfip.xemelios.controls.servicefait.M108">
   <regle-fonctionnelle><![CDATA[Les valeurs autorisées sont :<br/>
                <ul><li>  SF: '101' </li>
                    <li> '103'</li>
                   </ul>]]></regle-fonctionnelle>
   <message-echec>SF N° #NOMBRE_SERVICE_FAIT# _ Id AE = #ENTETE_IDAE# _ Code-MVT = #ENTETE_CODE_MVT# :Le code mouvement n'est pas reconnu.</message-echec>
  </control>
  <control id="CTL-M001" libelle="Contrôle sur les valeurs de la zone AE TYPE_ENR" severity="BLOQUANT" class="fr.gouv.finances.dgfip.xemelios.controls.servicefait.M001">
   <regle-fonctionnelle><![CDATA[La zone AE TYPE_ENR ne peut prendre que les valeurs : 'E' et 'L'.<br/>]]></regle-fonctionnelle>
   <message-echec>SF N° #NOMBRE_SERVICE_FAIT#_TYPE_ENR= #LIGNE_INCONNUE# :La zone AE TYPE_ENR est incorrecte.</message-echec>
  </control>
  <control id="CTL-M109" libelle="Contrôle sur les valeurs de la zone AE MOTIF_MVT" severity="BLOQUANT" class="fr.gouv.finances.dgfip.xemelios.controls.servicefait.M109">
   <regle-fonctionnelle><![CDATA[Les valeurs autorisées sont : <br/><ul><li>'1001'</li><li>'' vide</li></ul>]]></regle-fonctionnelle>
   <message-echec>SF N° #NOMBRE_SERVICE_FAIT# _ Id AE = #ENTETE_IDAE# _ Code-MVT = #ENTETE_MOTIF_MVT# : Le code motif n'est pas reconnu.</message-echec>
  </control>
 </document>
</controls>
